<style type="text/css">
.baf-about-wrap {
  clear: both;
}

.baf-about-wrap ul,
.baf-about-wrap li,
.baf-about-wrap p {

  font-size: 14px;
  line-height: 2em;

}

.baf-about-wrap h2 {

  margin: 0;
  padding: 0;
  text-align: left !important;
}

.baf-about-wrap small {
  font-size: 12px;
}

.developer-info {

  font-size: 16px;
}

.welcome-hr {
  border: 0px;
  border-bottom: 1px solid #cccccc;
}


.more-addon {
  display: flex;
  vertical-align: top;
}

.baf-addon-list {
  font-weight: 400;
  padding-left: 0;
  margin: 0;
}

.baf-addon-list .version {
  display: inline-block;
  padding: 0 12px;
  color: #FFF;
  background: lightskyblue;
  margin: 0 6px;
  border-radius: 12px;
}

.baf-addon-list li {
  list-style-type: decimal;
  display: flex;
  flex-direction: column;
  justify-content:center;
  align-items: center;
  gap: 12px 12px;
  padding: 12px;
  background-color: #FFF;
  border: 0px;
  border-radius: 6px;
}

.baf-addon-list li span:nth-of-type(1) {
  font-weight: bold;
}

.baf-addon-list li p {
  clear: both;
  line-height: 1.5rem;
  margin: .2rem 0;
}

.baf-addon-list .btn-container {
  display: flex;
  justify-content: center;
  align-items: flex-end;
  gap: 0 12px;
}

.btn-addon {
  display: inline-block;
  padding: 6px 12px;
  text-decoration: none;
  border-radius: 4px;
  color: #FFF;
  font-weight: bold;
}

.btn-addon.btn--download {
  background: yellowgreen;
}

.btn-addon.btn--documentation {
  background: lightskyblue;
}
</style>

<div class="wrap baf-about-wrap">

  <h2><?php echo BWL_BAF_PLUGIN_TITLE; ?> Addons</h2>

  <p class="developer-info">

    By Md Mahbub Alam Khan<br>

    Web Site: <a href="https://bluewindlab.net" target="_blank">bluewindlab.net</a><br>

  </p>

  <hr class="welcome-hr" />

  <?php

  $baf_addon_doc_repo = "https://xenioushk.github.io/docs-plugins-addon/baf-addon/";
  $baf_addon_download_repo = "https://bluewindlab.net/wp-content/uploads/";


  $baf_addons = [

    [
      'title' => 'Ajaxified FAQ Search',
      'info' => "This add-on enhances the functionality of the FAQ Manager by introducing a quick and efficient way to search for frequently asked questions.",
      'version' => '1.0.9',
      'doc' => $baf_addon_doc_repo . "atfc/index.html",
      'download' => $baf_addon_download_repo . '2023/06/ajaxified-faq-search.zip'
    ],

    [
      'title' => 'FAQ Tab For WooCommerce',
      'info' => "FAQ Tab For WooCommerce allows you to convert you're FAQ posts in to WooCommerce product FAQ item with in a minute. ",
      'version' => '1.0.9',
      'doc' => $baf_addon_doc_repo . "ftfwc/index.html",
      'download' => $baf_addon_download_repo . '2023/06/faq-tab-for-woocommerce.zip'
    ],

  ]

  ?>

  <table class="plugin-info-wrapper">
    <tr>
      <td class="more-addon">
        <ol class="baf-addon-list">

          <?php foreach ($baf_addons as $addon) : ?>

          <li>

            <p><?php echo $addon['title'] ?><span class="version"><?php echo $addon['version'] ?></span></p>

            <?php echo (isset($addon['info'])) ? "<p>" . $addon['info'] . "</p>" : ""; ?>

            <p class="btn-container">
              <a href="<?php echo $addon['download'] ?>" target="_blank" class="btn-addon btn--download">Download</a>
              <a href="<?php echo $addon['doc'] ?>" target="_blank"
                class="btn-addon btn--documentation">Documentation</a>
            </p>
          </li>
          <?php endforeach ?>

        </ol>

      </td>

    </tr>
  </table>

  <p>
    If you need help with the plugin, give our <strong><?php echo BWL_BAF_PLUGIN_TITLE; ?></strong> documentation a read.
    If you have any questions that are beyond the scope of this help file, please feel free to email via my user page
    contact form <a href="<?php echo BWL_BAF_AUTHOR_CC_PROFILE ?>">here</a>.
  </p>

</div>